<?php
class ControllerExtensionModuleMwocOptionsimghver extends Controller {

	public $_version = '1.0.0';
	//author: mikeinterserv

	public function hovertxt(&$route, &$data){

			$data['styles'][] = array(
				'href'  => 'catalog/view/theme/' . $this->getTheme() . '/stylesheet/optionsimagehovertxt.css',
				'rel'   => 'stylesheet',
				'media' => 'screen'
			);
		}


   public function addelements(&$route, &$data, &$template=null ){
		$template_buffer = empty($template) ? $this->getTemplateBuffer($route,'.twig') : $template;

		if (empty($template_buffer)) {

			return null;
		}

		$search = '{% if option_value.image %} <img src="{{ option_value.image }}" alt="{{ option_value.name }} {% if option_value.price %} {{ option_value.price_prefix }} {{ option_value.price }} {% endif %}" class="img-thumbnail" /> {% endif %}';


		$replace = '{% if option_value.image %}<span class="hoverdiv"><span class="hovertext">{{ option_value.name }} {% if option_value.price %}({{ option_value.price_prefix }}{{ option_value.price }}){% endif %} </span> <img src="{{ option_value.image }}" alt="{{ option_value.name }} {% if option_value.price %} {{ option_value.price_prefix }} {{ option_value.price }} {% endif %}" class="img-thumbnail" /></span> {% endif %}</span>';

	

		$template = str_replace( $search, $replace, $template_buffer );

		return null;
		
	}

	private function getTheme() {
		if ($this->config->get('config_theme') == 'default') {
			$theme = $this->config->get('theme_default_directory');
		} else {
			$theme = $this->config->get('config_theme');
		}

		return $theme;
	}


	private function getTemplateBuffer( $route, $ext ) {
		$theme = $this->getTheme();
		if (is_file(DIR_TEMPLATE . $theme . '/template/' . $route . $ext)) {
			$file = DIR_TEMPLATE . $theme . '/template/' . $route . $ext;
			return file_get_contents( modification($file) );
		} elseif (is_file(DIR_TEMPLATE . 'default/template/' . $route . $ext)) {
			$file = DIR_TEMPLATE . 'default/template/' . $route . $ext;
			return file_get_contents( modification($file) );
		}

		return null;
 	}

}
